GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

          • Get Application Details
          • Get Application List
          • Get Simple Application Information
          • Get Simple Application Information List
          • Create Application
          • Delete application
          • Get application key
          • Refresh application key
          • Get the current logged-in user of the application
          • Get the default access authorization strategy of the application
          • Update the default access authorization strategy of the application
          • Authorize application access permissions
          • Delete application access authorization records
          • Check whether the domain name is available
          • Get user MFA trigger data under the application
        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Applications

  10. /
  11. Get user MFA trigger data under the application

¶ Get the user MFA trigger data under the application

Update time: 2025-07-23 07:34:21
Edit

Get the user MFA trigger data under the application

¶ Method Name

ManagementClient.getMfaTriggerData

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9
userIdstringYes-User id6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser id type, the default value is user_id, the optional values ​​are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: user phone number
- email: user email
- username: username
- external_id: user ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: user's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.
Example Value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
user_id

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetMapInfoRespDto;
import cn.authing.sdk.java.dto.GetMfaTriggerDataDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class GetMfaTriggerDataTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        GetMfaTriggerDataDto getMfaTriggerDataDto = new GetMfaTriggerDataDto();
        getMfaTriggerDataDto.setUserId("64355exxxxxxxxx11d8ae12dc");
        getMfaTriggerDataDto.setAppId("64355exxxxxxxxx11d8ae12dc");
        GetMapInfoRespDto response = client.getMfaTriggerData(getMfaTriggerDataDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: GetMapInfoRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberThis error code is used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "mfaToken": "xxxxxxx",
    "mfaPhone": null,
    "mfaPhoneCountryCode": null,
    "mfaEmail": null,
    "nickname": null,
    "username": null,
    "phone": null,
    "phoneCountryCode": null,
    "faceMfaEnabled": true,
    "totpMfaEnabled": true,
    "applicationMfa": [
      {
        "mfaPolicy": "EMAIL",
        "status": 1,
        "sort": 0
      }
    ]
  }
}

¶ Data Structure

¶ MfaTriggerData

NameType
Is it required
Description
Example Value
mfaTokenstringYesMFA Tokenxxxxxxx
applicationMfaarrayYesMFA configuration Type: ApplicationMfaDto.
mfaPhonestringNoMFA bound phone numbernull
mfaPhoneCountryCodestringNoMFA bound phone area codenull
mfaEmailstringNoMFA bound emailnull
nicknamestringNoUser nicknamenull
usernamestringNoUser namenull
phonestringNoUser phone numbernull
phoneCountryCodestringNoUser phone area codenull
faceMfaEnabledbooleanNoFace verification Yes No Enabletrue
totpMfaEnabledbooleanNoOTP verification Yes No Enabletrue

¶ ApplicationMfaDto

NameType
Is it required
Description
Example Value
mfaPolicystringYesMFA typeEMAIL
statusnumberYesYes No Enabled status1
sortnumberYesSorting0
Previous article: Check whether the domain name is available Next article: Get security configuration
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.